<template>
  <el-container>
    <el-header>
      <div class="title-section py-5 d-flex flex-column">
        <h1
          class="
            text-white text-center
            fs-2hx
            text-uppercase
            fw-bolder
            se-title
          "
        >
          SMK Digital Service
        </h1>
        <div
          class="separator m-1 w-90px border-3 text-center align-self-center"
        ></div>
      </div>
    </el-header>
    <el-main class="d-flex"
      ><XyzTransitionGroup
        appear
        xyz="fade duration-5 appear-front-3 small-3 appear-small-0 stagger-2 out-stagger-0"
        class="
          list-roadmap-wrapper
          d-flex
          row
          bd-highlight
          align-self-center
          justify-content-center
          xyz-appear
          my-5
        "
      >
        <div
          v-for="(item, index) in props.data"
          :key="index"
          class="my-3 col-md-3"
        >
          <a
            v-if="item.isOtherWeb"
            :href="item.path"
            target="_blank"
            rel="noopener noreferrer"
          >
            <div class="card bg-light-primary hoverable">
              <div class="card-body d-flex flex-direction-column">
                <i
                  class="text-dark align-self-center fs-1"
                  :class="item.picture"
                ></i>
                <h3
                  class="
                    card-text
                    align-self-center
                    pl-4
                    text-uppercase
                    ms-3
                    fs-5
                  "
                >
                  {{ item.name }}
                </h3>
              </div>
            </div>
          </a>
          <div class="card bg-light-primary hoverable" v-else>
            <div class="card-body d-flex flex-direction-column">
              <i
                class="text-dark align-self-center fs-1"
                :class="item.picture"
              ></i>
              <h3
                class="
                  card-text
                  align-self-center
                  pl-4
                  text-uppercase
                  ms-3
                  fs-5
                "
              >
                {{ item.name }}
              </h3>
            </div>
          </div>
        </div>
      </XyzTransitionGroup></el-main
    >
  </el-container>
</template>

<script>
export default {
  props: {
    data: [],
  },
  setup(props) {
    return { props };
  },
};
</script>

<style lang="scss" scoped>
</style>